org.apache.hadoop.yarn.api.records.timeline

## Class TimelineEntities

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.timeline.TimelineEntities

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class TimelineEntities
      extends Object

  The class that hosts a list of timeline entities.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimelineEntities()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntities(List<TimelineEntity> entities)` All a list of entities into the existing entity list
    `void` | `addEntity(TimelineEntity entity)` Add a single entity into the existing entity list
    `List<TimelineEntity>` | `getEntities()` Get a list of entities
    `void` | `setEntities(List<TimelineEntity> entities)` Set the entity list to the given list of entities

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimelineEntities

          public TimelineEntities()

  - ### Method Detail

    - #### getEntities

          public List<TimelineEntity> getEntities()

      Get a list of entities
      Returns:
        a list of entities

    - #### addEntity

          public void addEntity(TimelineEntity entity)

      Add a single entity into the existing entity list
      Parameters:
        `entity` - a single entity

    - #### addEntities

          public void addEntities(List<TimelineEntity> entities)

      All a list of entities into the existing entity list
      Parameters:
        `entities` - a list of entities

    - #### setEntities

          public void setEntities(List<TimelineEntity> entities)

      Set the entity list to the given list of entities
      Parameters:
        `entities` - a list of entities

Copyright © 2022 Apache Software Foundation. All rights reserved.